Bug 59908 - [MAINTAINER] mail/MailScanner: update to 4.25.14
Summary: [MAINTAINER] mail/MailScanner: update to 4.25.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-02 21:40 UTC by Jan-Peter Koopmann
Modified: 2003-12-05 15:34 UTC (History)
1 user (show)

See Also:


Attachments
MailScanner-4.25.14.patch (4.64 KB, patch)
2003-12-02 21:40 UTC, Jan-Peter Koopmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Peter Koopmann 2003-12-02 21:40:19 UTC
- Update to 4.25.14

Generated with FreeBSD Port Tools 0.50

Fix: This PR supercedes ports/58715 which can be closed now.

Please rename mail/mailscanner to mail/MailScanner as I discussed with Sergei.

Thanks,
  JP
Comment 1 Sergei Kolobov freebsd_committer 2003-12-03 06:00:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

I'll take it.
Comment 2 Jan-Peter.Koopmann 2003-12-04 13:02:08 UTC
New revision with some slight chances thanks to Sergei! :-)

Regards,
  JP

--- MailScanner-4.25.14_1.patch begins here ---
diff -ruN --exclude=3DCVS
/server-root/ports/mail/MailScanner.orig/Makefile
/server-root/ports/mail/MailScanner/Makefile
--- /server-root/ports/mail/MailScanner.orig/Makefile	Sun Nov 23
12:37:23 2003
+++ /server-root/ports/mail/MailScanner/Makefile	Thu Dec  4
12:01:51 2003
@@ -6,10 +6,11 @@
 #
=20
 PORTNAME=3D	MailScanner
-PORTVERSION=3D	4.24.5
+PORTVERSION=3D	4.25.14
+PORTREVISION=3D	1
 CATEGORIES=3D	mail
 MASTER_SITES=3D	http://www.sng.ecs.soton.ac.uk/mailscanner/files/4/tar/
-DISTNAME=3D	MailScanner-4.24-5
+DISTNAME=3D	MailScanner-4.25-14
=20
 MAINTAINER=3D	j.koopmann@seceidos.de
 COMMENT=3D	A powerful virus/spam scanning framework for Sendmail
and Exim
@@ -22,9 +23,13 @@
=20
${SITE_PERL}/${PERL_ARCH}/HTML/HeadParser.pm:${PORTSDIR}/www/p5-HTML-Par
ser \
 	${SITE_PERL}/MIME/Parser.pm:${PORTSDIR}/mail/p5-MIME-Tools \
 	${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp \
-
${SITE_PERL}/Convert/TNEF.pm:${PORTSDIR}/converters/p5-Convert-TNEF
+
${SITE_PERL}/Convert/TNEF.pm:${PORTSDIR}/converters/p5-Convert-TNEF \
+	${SITE_PERL}/Net/CIDR.pm:${PORTSDIR}/net/p5-Net-CIDR
=20
-RUN_DEPENDS=3D	${BUILD_DEPENDS}
+RUN_DEPENDS=3D	${BUILD_DEPENDS} \
+		${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash2
+
+CONFLICTS=3D	MailScanner-devel-*
=20
 USE_PERL5=3D	yes
=20
@@ -65,7 +70,7 @@
=20
's,/opt/MailScanner/lib,'${PREFIX}'/libexec/MailScanner,g; \
 		s,/bin/false,/usr/bin/false,;'
${WRKSRC}/etc/virus.scanners.conf
 	${PERL} -pi -e \
-		's,/bin/bash,'${PREFIX}'/bash,g; \
+		's,/bin/bash,'${PREFIX}'/bin/bash,g; \
 		s,/opt/MailScanner/etc,'${PREFIX}'/etc/MailScanner,g;' \
 		${WRKSRC}/bin/update_virus_scanners
 	${PERL} -pi -e \
diff -ruN --exclude=3DCVS
/server-root/ports/mail/MailScanner.orig/distinfo
/server-root/ports/mail/MailScanner/distinfo
--- /server-root/ports/mail/MailScanner.orig/distinfo	Sun Nov 23
12:37:23 2003
+++ /server-root/ports/mail/MailScanner/distinfo	Tue Dec  2
22:21:37 2003
@@ -1 +1 @@
-MD5 (MailScanner-4.24-5.tar.gz) =3D f43e0f6b1febf41aaf843400b1b4b3f5
+MD5 (MailScanner-4.25-14.tar.gz) =3D a730889387355d5e215a655a3fc5bc55
diff -ruN --exclude=3DCVS
/server-root/ports/mail/MailScanner.orig/files/patch-docs:man:MailScanne
r.8
/server-root/ports/mail/MailScanner/files/patch-docs:man:MailScanner.8
---
/server-root/ports/mail/MailScanner.orig/files/patch-docs:man:MailScanne
r.8	Thu Jan  1 01:00:00 1970
+++
/server-root/ports/mail/MailScanner/files/patch-docs:man:MailScanner.8
Tue Dec  2 22:23:17 2003
@@ -0,0 +1,8 @@
+--- ../MailScanner-4.25-14.orig/docs/man/MailScanner.8	Tue Dec  2
22:22:27 2003
++++ docs/man/MailScanner.8	Tue Dec  2 22:23:08 2003
+@@ -1,4 +1,4 @@
+-.TH "MailScanner" "8" "4.25-10" "Julian Field" "Mail"
++.TH "MailScanner" "8" "4.25-14" "Julian Field" "Mail"
+ .SH "NAME"
+ .LP=20
+ MailScanner \- Virus/Spam Scanner for Sendmail and Exim
diff -ruN --exclude=3DCVS
/server-root/ports/mail/MailScanner.orig/files/patch-docs:man:MailScanne
r.8.html
/server-root/ports/mail/MailScanner/files/patch-docs:man:MailScanner.8.h
tml
---
/server-root/ports/mail/MailScanner.orig/files/patch-docs:man:MailScanne
r.8.html	Thu Jan  1 01:00:00 1970
+++
/server-root/ports/mail/MailScanner/files/patch-docs:man:MailScanner.8.h
tml	Tue Dec  2 22:23:17 2003
@@ -0,0 +1,9 @@
+--- ../MailScanner-4.25-14.orig/docs/man/MailScanner.8.html	Tue Dec
2 22:22:27 2003
++++ docs/man/MailScanner.8.html	Tue Dec  2 22:23:08 2003
+@@ -1,5 +1,5 @@
+ <!-- Creator     : groff version 1.19 -->
+-<!-- CreationDate: Wed Nov 19 17:14:30 2003 -->
++<!-- CreationDate: Tue Dec  2 22:22:45 2003 -->
+ <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
+ "http://www.w3.org/TR/html4/loose.dtd">
+ <html>
diff -ruN --exclude=3DCVS
/server-root/ports/mail/MailScanner.orig/files/patch-docs:man:MailScanne
r.conf.5
/server-root/ports/mail/MailScanner/files/patch-docs:man:MailScanner.con
f.5
---
/server-root/ports/mail/MailScanner.orig/files/patch-docs:man:MailScanne
r.conf.5	Thu Jan  1 01:00:00 1970
+++
/server-root/ports/mail/MailScanner/files/patch-docs:man:MailScanner.con
f.5	Tue Dec  2 22:23:17 2003
@@ -0,0 +1,8 @@
+--- ../MailScanner-4.25-14.orig/docs/man/MailScanner.conf.5	Tue Dec
2 22:22:27 2003
++++ docs/man/MailScanner.conf.5	Tue Dec  2 22:23:08 2003
+@@ -1,4 +1,4 @@
+-.TH "MailScanner.conf" "5" "4.25-10" "Julian Field" "Mail"
++.TH "MailScanner.conf" "5" "4.25-14" "Julian Field" "Mail"
+ .SH "NAME"
+ .LP=20
+ MailScanner.conf \- Main configuration for MailScanner
diff -ruN --exclude=3DCVS
/server-root/ports/mail/MailScanner.orig/files/patch-docs:man:MailScanne
r.conf.5.html
/server-root/ports/mail/MailScanner/files/patch-docs:man:MailScanner.con
f.5.html
---
/server-root/ports/mail/MailScanner.orig/files/patch-docs:man:MailScanne
r.conf.5.html	Thu Jan  1 01:00:00 1970
+++
/server-root/ports/mail/MailScanner/files/patch-docs:man:MailScanner.con
f.5.html	Tue Dec  2 22:23:17 2003
@@ -0,0 +1,9 @@
+--- ../MailScanner-4.25-14.orig/docs/man/MailScanner.conf.5.html
Tue Dec  2 22:22:27 2003
++++ docs/man/MailScanner.conf.5.html	Tue Dec  2 22:23:08 2003
+@@ -1,5 +1,5 @@
+ <!-- Creator     : groff version 1.19 -->
+-<!-- CreationDate: Wed Nov 26 20:07:41 2003 -->
++<!-- CreationDate: Tue Dec  2 22:22:45 2003 -->
+ <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
+ "http://www.w3.org/TR/html4/loose.dtd">
+ <html>
Comment 3 Sergei Kolobov freebsd_committer 2003-12-05 15:34:50 UTC
State Changed
From-To: open->closed

Committed, thanks!